function [xmean,ymean,xyCov] = plotmeanmovement(X, Y,opts)

if(opts.plotBMIresult)
    figure(opts.fig2)
    hold on;
end
[rows, cols]=size(X);
xmean = mean(X,1);
ymean = mean(Y,1);
xyCov = zeros(cols,2,2);
lastVal=cols;

if(opts.stopOnTarget)
    for i=1:cols
        mr = [xmean(i) ymean(i)]';
        if((mr(1)^2 + mr(2)^2)>opts.radius^2)
            c= cov(X(:,i),Y(:,i));
            xyCov(i,:,:) = c;
            if(opts.plotBMIresult)
                plot2std(c,mr,opts)
            end
        else
            lastVal=i;
            break;
        end
    end
else
    for i=1:cols
        mr = [xmean(i) ymean(i)]';
        c= cov(X(:,i),Y(:,i));
        xyCov(i,:,:) = c;
        if(opts.plotBMIresult)
            plot2std(c,mr,opts)
        end
    end
end
if(opts.plotBMIresult)
    plot(xmean(1:lastVal),ymean(1:lastVal),'b-');
    plot(xmean(1:lastVal),ymean(1:lastVal),'b.');
end
