%% Define computer-specific variables
close all
clear all
abort_transmission=false;
% Modify these values to be those of your first computer (Transmitter):
portT = 9095;   
% Modify these values to be those of your second computer (Receiver):
ipR = '10.255.37.113';  portR = 9103;  
%enable echo
% echoudp('on',portS)

%% Create UDP Object
udpR = udp(ipR,portR,'LocalPort',portT);
%% Connect to UDP Object
fopen(udpR);
disp('Connection established');
%% Transmitting phase
disp('Ready to transmit');
while(abort_transmission==false)
    data=input(['Data to transmit to ',ipR,':',num2str(portR),':'],'s');
    fprintf(udpR,data);
    if(strcmp(data,'quit')==1)
        abort_transmission=true;
    end
end

%% Quit phase
disp('Session closed');
fclose(udpR);
delete(udpR);
clear udpR;