%% Define computer-specific variables
close all
clear all
abort_connection=false;

%% Define connection parameteres
% Modify these values to be those of your first computer (Transmitter):
port_me = 9095;   
% Modify these values to be those of your second computer (Receiver):
ip_other = '10.255.37.113';  port_other = 9103;  

%% Init UDP connection
udp_conn = initUDP( ip_other,port_other,port_me );
%% Transmit\Receive loop
while(abort_connection==false)
   switching=input('Mode (1-receive 2-transmit 3-exit): '); 
   switch switching
       case 1 
           received_data=receiveUDPData(udp_conn, port_other);
           disp(['Received Data: ',received_data]);
       case 2 
           transmitted_data=sendUDPData(udp_conn,ip_other, port_other);
           disp(['Transmitted Data: ',transmitted_data]);
       case 3 
           abort_connection=true;  
       otherwise
           break;
   end
    
end
%% Quit phase
disp('Session closed');
fclose(udp_conn);
delete(udp_conn);
clear udp_conn;
