function [received_data] = receiveUDPInput( udp_conn, port_other )
%RECEIVEUDPDATA Summary of this function goes here
%   Detailed explanation goes here
abort_transmission=false;
received_data=[];
disp('Ready to receive');

while(abort_transmission==false)
    while(udp_conn.BytesAvailable==0)
        pause(0.3);
    end
    size_data=udp_conn.BytesAvailable;
    [data,count,msg,datagramaddress,datagramport]=fscanf(udp_conn);
    disp(['Data received ',datagramaddress,':',num2str(port_other),': ',data,' (',num2str(size_data),'B)']);
    if(strcmp(data,'quit')==1)
        abort_transmission=true;
        disp('UDP reception is going to be halted');
    else
        received_data=[received_data,data];
    end
end

end

