function lunch_viewer( udpR )

%%replace with receive udpDta
% y=round(1+(nChans-1).*rand(1,1000));
% x=T.*rand(1,1000);

while(udpR.BytesAvailable==0)
    pause(0.1);
end

[data]=str2num(fscanf(udpR));
x=data(1:2:end-1);
y=data(2:2:end);
t=min(x); %initial time
nChans=256; %total number of ch
lastXVal=t; %last time value
windowsSize=5; %window size in seconds
delta=.2; %refresh time in second of the time axis

f = figure('Name','Viewer','CloseRequestFcn',@viewer_closereq);
h = animatedline('MaximumNumPoints',100000,'LineStyle','none','Marker','.','MarkerSize',20);%,'DeleteFcn',@viewer_closereq);
axis([t,t+windowsSize,.5,nChans+.5])

start=tic;
while(strcmp(f.Visible,'on'))
    t=toc(start);
    idx=find(x<t);
    if(t>lastXVal+windowsSize)
        lastXVal=lastXVal+delta;
        axis([lastXVal,lastXVal+windowsSize,.5,nChans+.5])
    end
    addpoints(h,x(idx),y(idx));
%     set(gca,'xdir','reverse');
    drawnow
    
    %%replace with receive udpDta
    %         nx=max(x)+T.*rand(1,1000);
    %         ny=round(1+(nChans-1).*rand(1,1000));
    if(udpR.BytesAvailable>0)
        
        [data]=str2num(fscanf(udpR));
        nx=data(1:2:end-1);
        ny=data(2:2:end);
        %concatenate with old data
        idx=find(x<t);
        x=[x(max(idx):end),nx];
        y=[y(max(idx):end),ny];
    end
    
end

clear h;
clear f;

end

