nChans=256;
dt=0.1;
t=0; %initial time
rfc=1; %refresh data cycles
T=1; %refresh data time

%% replace with receive udpDta
y=round(1+(nChans-1).*rand(1,1000));
x=T.*rand(1,1000);
%%
f = figure('Name','Viewer','CloseRequestFcn',@viewer_closereq);
h = animatedline('MaximumNumPoints',100000,'LineStyle','none','Marker','.','MarkerSize',20);%,'DeleteFcn',@viewer_closereq);
windowsSize=5; %window size in seconds
axis([0,windowsSize,.5,nChans+.5])
lastXVal=0; %last time value
delta=windowsSize/8; %refresh time in second of the time axis

start=tic;
while(strcmp(f.Visible,'on'))%
    pause(dt);
    t=toc(start);
    idx=find(x<t);
    if(t>lastXVal+windowsSize)  %%(x(max(idx))>lastXVal+windowsSize)
        lastXVal=lastXVal+delta;
        axis([lastXVal,lastXVal+windowsSize,.5,nChans+.5])
    end
    addpoints(h,x(idx),y(idx));
    drawnow
    
    if(t>T*rfc) %update vector x and y
        %% replace with receive udpDta
        nx=max(x)+T.*rand(1,1000);
        ny=round(1+(nChans-1).*rand(1,1000));
        %%
        %concatenate with old data
        idx=find(x<t);
        x=[x(max(idx):end),nx];
        y=[y(max(idx):end),ny];
        %update refresh counter
        rfc=rfc+1;
    end
end

clear h;
clear f;
