%% Define computer-specific variables

% Modify these values to be those of your second computer (Transmitter):
ipR = '10.255.37.203'; portR = 9105;   
% Modify these values to be those of your first computer (Receiver):
portT = 9104;  

%% Create UDP Object
udpR = udp(ipR,portR,'LocalPort',portT,'InputBufferSize',65535,'OutputBufferSize',65535,'OutputDatagramPacketSize',65535,'InputDatagramPacketSize',65535);
%% Connect to UDP Object
fopen(udpR);
disp('Connection established');
%% Viewing phase
disp('Ready to receive');
lunch_viewer(udpR);
fprintf(udpR,'Viewer Closed!');

%% Quit phase
disp('Session closed');
fclose(udpR);
delete(udpR);
clear udpR;